Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 19-03-2022 16:09:09

laguespa
Membre
Distrib. : Debian 11 Bullseye
Noyau : Linux 5.10.0-9-amd64
(G)UI : Mate
Inscription : 25-09-2009

Installer Scribus

Bonjour.

J'ai Debian 11 Mate.

aptitude install scribus
 



Les NOUVEAUX paquets suivants vont être installés :    
  blt{a} cups-bsd{a} gdal-data{a} icc-profiles-free{a} libaec0{a} libarmadillo10{a} libarpack2{a} libcfitsio9{a} libcharls2{a}
  libcoin80c{a} libcollada-dom2.5-dp0{a} libdap27{a} libdapclient6v5{a} libepsilon1{a} libfreexl1{a} libfyba0{a} libgdal28{a}
  libgeos-3.9.0{a} libgeos-c1v5{a} libgeotiff5{a} libgif7{a} libgraphicsmagick-q16-3{a} libhdf4-0-alt{a} libhdf5-103-1{a}
  libhdf5-hl-100{a} libkmlbase1{a} libkmldom1{a} libkmlengine1{a} libmariadb3{a} libminizip1{a} libnetcdf18{a} libodbc1{a}
  libogdi4.1{a} libopenscenegraph161{a} libopenthreads21{a} libpodofo0.9.7{a} libpq5{a} libproj19{a} libqhull8.0{a} librttopo1{a}
  libspatialite7{a} libsuperlu5{a} libsz2{a} libtcl8.6{a} libtk8.6{a} libxerces-c3.2{a} mariadb-common{a} mysql-common{a}
  odbcinst{a} odbcinst1debian2{a} proj-bin{a} proj-data{a} python3-tk{a} scribus scribus-data{a} tk8.6-blt2.5{a}
0 paquets mis à jour, 56 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 7710 ko/68,3 Mo d'archives. Après dépaquetage, 244 Mo seront utilisés.
Voulez-vous continuer ? [Y/n/?]
Erreur http://deb.debian.org/debian bullseye/main amd64 gdal-data all 3.2.2+dfsg-2
  404  Not Found [IP : 199.232.138.132 80]
Erreur http://deb.debian.org/debian bullseye/main amd64 libgdal28 amd64 3.2.2+dfsg-2
  404  Not Found [IP : 199.232.138.132 80]
89% [En cours]E: impossible de récupérer http://deb.debian.org/debian/pool/main/g/gdal/gdal-data_3.2.2%2bdfsg-2_all.deb : 404  Not Found [IP : 199.232.138.132 80]
E: Unable to fetch some packages; try '-o APT::Get::Fix-Missing=true' to continue with missing packages
 



Vous feriez quoi vous ?


"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#2 19-03-2022 17:59:07

ylag
Membre
Inscription : 16-03-2020

Re : Installer Scribus

Bonjour,

Le serveur était probablement en panne au moment où tu as lancé ta commande ?
Mets à jour la liste des dépôts :

apt update


Et retente l'installation de scribus...

A+

Dernière modification par ylag (19-03-2022 18:02:14)

Hors ligne

#3 19-03-2022 20:33:52

laguespa
Membre
Distrib. : Debian 11 Bullseye
Noyau : Linux 5.10.0-9-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : Installer Scribus

Toujours pareil pour l'instant. Comme j'en avais besoin je l'ai pris dans flatpak.

Dernière modification par laguespa (19-03-2022 20:39:05)


"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#4 19-03-2022 21:13:03

zaphir
Membre
Inscription : 10-09-2010

Re : Installer Scribus

Salut,

Tu peux utiliser le paquet "netselect-apt"  qui permet de choisir les dépôts en fonction du pays, ça m'a dépanné plus d'une fois quand une installation plafonne à faible débit.
Ça sous entend que les dépôts ne sont pas HS, sans quoi tu passer par un site qui permet de générer un source.list manuellement :
https://debgen.simplylinux.ch/

Tu peux aussi tester avec un pays limitrophe car utiliser les dépôts français ne signifie pas toujours disposer de la plus grande vitesse, tout dépend de ta  situation géographique.

EDIT:
Bon on dirait que le site n'a pas été mis à jour depuis quelques temps puisque debian stable est encore bloqué sur buster ... sad
J'ai retiré l'exemple, pas besoin de t'induire en erreur inutilement.

Dernière modification par zaphir (19-03-2022 21:26:34)

Hors ligne

#5 19-03-2022 21:15:24

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : Installer Scribus

bonjour,
un truc serait de montrer ton source.list
et peut être un autre serait d'essayer de passer l'adresse debian en https (? https://bugs.debian.org/cgi-bin/bugrepo … 2;mbox=yes  mais j'arrive pas à bien lire le rapport de bug ...)

En ligne

#6 19-03-2022 21:24:16

laguespa
Membre
Distrib. : Debian 11 Bullseye
Noyau : Linux 5.10.0-9-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : Installer Scribus


cat /etc/apt/sources.list
 



# deb cdrom:[Debian GNU/Linux 11.1.0 _Bullseye_ - Unofficial Multi-architecture amd64/i386 NETINST with firmware #1 20211009-10:08]/ bullseye contrib main non-free

#deb cdrom:[Debian GNU/Linux 11.1.0 _Bullseye_ - Unofficial Multi-architecture amd64/i386 NETINST with firmware #1 20211009-10:08]/ bullseye contrib main non-free

deb http://deb.debian.org/debian/ bullseye main non-free contrib
deb-src http://deb.debian.org/debian/ bullseye main non-free contrib

deb http://security.debian.org/debian-security bullseye-security main contrib non-free
deb-src http://security.debian.org/debian-security bullseye-security main contrib non-free

# bullseye-updates, to get updates before a point release is made;
# see https://www.debian.org/doc/manuals/debian-reference/ch02.en.html#_updates_and_backports
deb http://deb.debian.org/debian/ bullseye-updates main contrib non-free
deb-src http://deb.debian.org/debian/ bullseye-updates main contrib non-free

deb http://deb.debian.org/debian bullseye-backports main contrib non-free
deb-src http://deb.debian.org/debian bullseye-backports main contrib non-free

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.
 


"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#7 19-03-2022 22:21:01

ylag
Membre
Inscription : 16-03-2020

Re : Installer Scribus

Bonsoir,

Les sources  me semblent correctes, et les dépôts sont joignables de chez-moi.

Par contre, le paquet gdal-data est à la version 3.2.2+dfsg-2+deb11u1 dans les dépôts, alors que aptitude semble en rechercher la version 3.2.2+dfsg-2 ?
Idem pour le paquet libgdal28, version 3.2.2+dfsg-2+deb11u1 dans les dépôts, mais aptitude semble en rechercher la version 3.2.2+dfsg-2 chez-toi ?

Je tenterais peut-être une autre approche, avec apt :

apt update


...suivi de :

apt install scribus



Pour info, j'ai ceci sur ma Bullseye lorsque je tente de simuler l'installation de scribus avec apt, ça semble passer sans encombres :

root@yvan-maison:~# apt -s install scribus
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Les paquets supplémentaires suivants seront installés :
  blt gdal-data libaec0 libarmadillo10 libarpack2 libavdevice58 libcfitsio9 libcharls2 libcoin80c
  libcollada-dom2.5-dp0 libdap27 libdapclient6v5 libepsilon1 libfreexl1 libfyba0 libgdal28
  libgeos-3.9.0 libgeos-c1v5 libgeotiff5 libgraphicsmagick-q16-3 libhdf4-0-alt libhdf5-103-1
  libhdf5-hl-100 libkmlbase1 libkmldom1 libkmlengine1 libmariadb3 libnetcdf18 libodbc1 libogdi4.1
  libopenscenegraph161 libopenthreads21 libpodofo0.9.7 libpq5 libproj19 libqhull8.0 libqt5opengl5
  libqt5xml5 librttopo1 libspatialite7 libsuperlu5 libsz2 liburiparser1 libxerces-c3.2
  mariadb-common mysql-common odbcinst odbcinst1debian2 proj-data python3-tk scribus-data
  tk8.6-blt2.5
Paquets suggérés :
  blt-demo libopenal0a libsimage-dev libbullet2 geotiff-bin gdal-bin libgeotiff-epsg
  graphicsmagick-dbg libhdf4-doc libhdf4-alt-dev hdf4-tools libmyodbc odbc-postgresql tdsodbc
  unixodbc-bin ogdi-bin proj-bin tix python3-tk-dbg icc-profiles scribus-template
  texlive-latex-recommended scribus-doc
Paquets recommandés :
  proj-bin icc-profiles-free
Les NOUVEAUX paquets suivants seront installés :
  blt gdal-data libaec0 libarmadillo10 libarpack2 libavdevice58 libcfitsio9 libcharls2 libcoin80c
  libcollada-dom2.5-dp0 libdap27 libdapclient6v5 libepsilon1 libfreexl1 libfyba0 libgdal28
  libgeos-3.9.0 libgeos-c1v5 libgeotiff5 libgraphicsmagick-q16-3 libhdf4-0-alt libhdf5-103-1
  libhdf5-hl-100 libkmlbase1 libkmldom1 libkmlengine1 libmariadb3 libnetcdf18 libodbc1 libogdi4.1
  libopenscenegraph161 libopenthreads21 libpodofo0.9.7 libpq5 libproj19 libqhull8.0 libqt5opengl5
  libqt5xml5 librttopo1 libspatialite7 libsuperlu5 libsz2 liburiparser1 libxerces-c3.2
  mariadb-common mysql-common odbcinst odbcinst1debian2 proj-data python3-tk scribus scribus-data
  tk8.6-blt2.5
0 mis à jour, 53 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst tk8.6-blt2.5 (2.5.3+dfsg-4.1 Debian:11.2/stable [amd64])
Inst blt (2.5.3+dfsg-4.1 Debian:11.2/stable [amd64])
Inst gdal-data (3.2.2+dfsg-2+deb11u1 Debian:11.2/stable [all])
Inst libaec0 (1.0.4-1 Debian:11.2/stable [amd64])
Inst libarpack2 (3.8.0-1 Debian:11.2/stable [amd64])
Inst libsuperlu5 (5.2.2+dfsg1-2 Debian:11.2/stable [amd64])
Inst libarmadillo10 (1:10.1.2+dfsg-6+b1 Debian:11.2/stable [amd64])
Inst libavdevice58 (7:4.3.3-0+deb11u1 Debian:11.2/stable, Debian-Security:11/stable-security [amd64])
Inst libcfitsio9 (3.490-3 Debian:11.2/stable [amd64])
Inst libcharls2 (2.2.0+dfsg-2 Debian:11.2/stable [amd64])
Inst libcoin80c (4.0.0+ds-1 Debian:11.2/stable [amd64])
Inst liburiparser1 (0.9.4+dfsg-1+deb11u1 Debian-Security:11/stable-security [amd64])
Inst libcollada-dom2.5-dp0 (2.5.0+ds1-1+b2 Debian:11.2/stable [amd64])
Inst libdap27 (3.20.7-6 Debian:11.2/stable [amd64])
Inst libdapclient6v5 (3.20.7-6 Debian:11.2/stable [amd64])
Inst libepsilon1 (0.9.2+dfsg-5 Debian:11.2/stable [amd64])
Inst libfreexl1 (1.0.6-1 Debian:11.2/stable [amd64])
Inst libfyba0 (4.1.1-7 Debian:11.2/stable [amd64])
Inst libgeos-3.9.0 (3.9.0-1 Debian:11.2/stable [amd64])
Inst libgeos-c1v5 (3.9.0-1 Debian:11.2/stable [amd64])
Inst proj-data (7.2.1-1 Debian:11.2/stable [all])
Inst libproj19 (7.2.1-1 Debian:11.2/stable [amd64])
Inst libgeotiff5 (1.6.0-1 Debian:11.2/stable [amd64])
Inst libhdf4-0-alt (4.2.15-3 Debian:11.2/stable [amd64])
Inst libsz2 (1.0.4-1 Debian:11.2/stable [amd64])
Inst libhdf5-103-1 (1.10.6+repack-4+deb11u1 Debian:11.2/stable [amd64])
Inst libkmlbase1 (1.3.0-9 Debian:11.2/stable [amd64])
Inst libkmldom1 (1.3.0-9 Debian:11.2/stable [amd64])
Inst libkmlengine1 (1.3.0-9 Debian:11.2/stable [amd64])
Inst mysql-common (5.8+1.0.7 Debian:11.2/stable [all])
Inst mariadb-common (1:10.5.12-0+deb11u1 Debian:11.2/stable [all])
Inst libmariadb3 (1:10.5.12-0+deb11u1 Debian:11.2/stable [amd64])
Inst libhdf5-hl-100 (1.10.6+repack-4+deb11u1 Debian:11.2/stable [amd64])
Inst libnetcdf18 (1:4.7.4-1 Debian:11.2/stable [amd64])
Inst libodbc1 (2.3.6-0.1+b1 Debian:11.2/stable [amd64])
Inst libogdi4.1 (4.1.0+ds-5 Debian:11.2/stable [amd64])
Inst libpq5 (13.5-0+deb11u1 Debian:11.2/stable, Debian-Security:11/stable-security [amd64])
Inst libqhull8.0 (2020.2-3 Debian:11.2/stable [amd64])
Inst librttopo1 (1.1.0-2 Debian:11.2/stable [amd64])
Inst libspatialite7 (5.0.1-2 Debian:11.2/stable [amd64])
Inst libxerces-c3.2 (3.2.3+debian-3 Debian:11.2/stable [amd64])
Inst odbcinst (2.3.6-0.1+b1 Debian:11.2/stable [amd64]) []
Inst odbcinst1debian2 (2.3.6-0.1+b1 Debian:11.2/stable [amd64])
Inst libgdal28 (3.2.2+dfsg-2+deb11u1 Debian:11.2/stable [amd64])
Inst libgraphicsmagick-q16-3 (1.4+really1.3.36+hg16481-2 Debian:11.2/stable [amd64])
Inst libopenthreads21 (3.6.5+dfsg1-7+b1 Debian:11.2/stable [amd64])
Inst libopenscenegraph161 (3.6.5+dfsg1-7+b1 Debian:11.2/stable [amd64])
Inst libpodofo0.9.7 (0.9.7+dfsg-2 Debian:11.2/stable [amd64])
Inst libqt5opengl5 (5.15.2+dfsg-9 Debian:11.2/stable [amd64])
Inst libqt5xml5 (5.15.2+dfsg-9 Debian:11.2/stable [amd64])
Inst python3-tk (3.9.2-1 Debian:11.2/stable [amd64])
Inst scribus-data (1.5.6.1+dfsg-2 Debian:11.2/stable [all])
Inst scribus (1.5.6.1+dfsg-2 Debian:11.2/stable [amd64])
Conf tk8.6-blt2.5 (2.5.3+dfsg-4.1 Debian:11.2/stable [amd64])
Conf blt (2.5.3+dfsg-4.1 Debian:11.2/stable [amd64])
Conf gdal-data (3.2.2+dfsg-2+deb11u1 Debian:11.2/stable [all])
Conf libaec0 (1.0.4-1 Debian:11.2/stable [amd64])
Conf libarpack2 (3.8.0-1 Debian:11.2/stable [amd64])
Conf libsuperlu5 (5.2.2+dfsg1-2 Debian:11.2/stable [amd64])
Conf libarmadillo10 (1:10.1.2+dfsg-6+b1 Debian:11.2/stable [amd64])
Conf libavdevice58 (7:4.3.3-0+deb11u1 Debian:11.2/stable, Debian-Security:11/stable-security [amd64])
Conf libcfitsio9 (3.490-3 Debian:11.2/stable [amd64])
Conf libcharls2 (2.2.0+dfsg-2 Debian:11.2/stable [amd64])
Conf libcoin80c (4.0.0+ds-1 Debian:11.2/stable [amd64])
Conf liburiparser1 (0.9.4+dfsg-1+deb11u1 Debian-Security:11/stable-security [amd64])
Conf libcollada-dom2.5-dp0 (2.5.0+ds1-1+b2 Debian:11.2/stable [amd64])
Conf libdap27 (3.20.7-6 Debian:11.2/stable [amd64])
Conf libdapclient6v5 (3.20.7-6 Debian:11.2/stable [amd64])
Conf libepsilon1 (0.9.2+dfsg-5 Debian:11.2/stable [amd64])
Conf libfreexl1 (1.0.6-1 Debian:11.2/stable [amd64])
Conf libfyba0 (4.1.1-7 Debian:11.2/stable [amd64])
Conf libgeos-3.9.0 (3.9.0-1 Debian:11.2/stable [amd64])
Conf libgeos-c1v5 (3.9.0-1 Debian:11.2/stable [amd64])
Conf proj-data (7.2.1-1 Debian:11.2/stable [all])
Conf libproj19 (7.2.1-1 Debian:11.2/stable [amd64])
Conf libgeotiff5 (1.6.0-1 Debian:11.2/stable [amd64])
Conf libhdf4-0-alt (4.2.15-3 Debian:11.2/stable [amd64])
Conf libsz2 (1.0.4-1 Debian:11.2/stable [amd64])
Conf libhdf5-103-1 (1.10.6+repack-4+deb11u1 Debian:11.2/stable [amd64])
Conf libkmlbase1 (1.3.0-9 Debian:11.2/stable [amd64])
Conf libkmldom1 (1.3.0-9 Debian:11.2/stable [amd64])
Conf libkmlengine1 (1.3.0-9 Debian:11.2/stable [amd64])
Conf mysql-common (5.8+1.0.7 Debian:11.2/stable [all])
Conf mariadb-common (1:10.5.12-0+deb11u1 Debian:11.2/stable [all])
Conf libmariadb3 (1:10.5.12-0+deb11u1 Debian:11.2/stable [amd64])
Conf libhdf5-hl-100 (1.10.6+repack-4+deb11u1 Debian:11.2/stable [amd64])
Conf libnetcdf18 (1:4.7.4-1 Debian:11.2/stable [amd64])
Conf libodbc1 (2.3.6-0.1+b1 Debian:11.2/stable [amd64])
Conf libogdi4.1 (4.1.0+ds-5 Debian:11.2/stable [amd64])
Conf libpq5 (13.5-0+deb11u1 Debian:11.2/stable, Debian-Security:11/stable-security [amd64])
Conf libqhull8.0 (2020.2-3 Debian:11.2/stable [amd64])
Conf librttopo1 (1.1.0-2 Debian:11.2/stable [amd64])
Conf libspatialite7 (5.0.1-2 Debian:11.2/stable [amd64])
Conf libxerces-c3.2 (3.2.3+debian-3 Debian:11.2/stable [amd64])
Conf odbcinst (2.3.6-0.1+b1 Debian:11.2/stable [amd64])
Conf odbcinst1debian2 (2.3.6-0.1+b1 Debian:11.2/stable [amd64])
Conf libgdal28 (3.2.2+dfsg-2+deb11u1 Debian:11.2/stable [amd64])
Conf libgraphicsmagick-q16-3 (1.4+really1.3.36+hg16481-2 Debian:11.2/stable [amd64])
Conf libopenthreads21 (3.6.5+dfsg1-7+b1 Debian:11.2/stable [amd64])
Conf libopenscenegraph161 (3.6.5+dfsg1-7+b1 Debian:11.2/stable [amd64])
Conf libpodofo0.9.7 (0.9.7+dfsg-2 Debian:11.2/stable [amd64])
Conf libqt5opengl5 (5.15.2+dfsg-9 Debian:11.2/stable [amd64])
Conf libqt5xml5 (5.15.2+dfsg-9 Debian:11.2/stable [amd64])
Conf python3-tk (3.9.2-1 Debian:11.2/stable [amd64])
Conf scribus-data (1.5.6.1+dfsg-2 Debian:11.2/stable [all])
Conf scribus (1.5.6.1+dfsg-2 Debian:11.2/stable [amd64])
root@yvan-maison:~#



A+

Dernière modification par ylag (19-03-2022 22:24:23)

Hors ligne

#8 19-03-2022 22:49:59

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : Installer Scribus

zaphir a écrit :

Bon on dirait que le site n'a pas été mis à jour depuis quelques temps puisque debian stable est encore bloqué sur buster ... sad
J'ai retiré l'exemple, pas besoin de t'induire en erreur inutilement.


..et il est moyen comme générateur de source.list avec des sources ubuntu qui viennent s'y mélanger (cf signal desktop)
sinon je viens de faire une mise à jour, les serveurs debian sont ok ...

En ligne

#9 20-03-2022 00:08:32

zaphir
Membre
Inscription : 10-09-2010

Re : Installer Scribus

ubub a écrit :

zaphir a écrit :

Bon on dirait que le site n'a pas été mis à jour depuis quelques temps puisque debian stable est encore bloqué sur buster ... sad
J'ai retiré l'exemple, pas besoin de t'induire en erreur inutilement.


..et il est moyen comme générateur de source.list avec des sources ubuntu qui viennent s'y mélanger (cf signal desktop)



Les dépôts pour Ubuntu sont traités à part, ils ne sont pas mélangés.
Pour debian:
https://debgen.simplylinux.ch/
Pour ubuntu:
https://repogen.simplylinux.ch/

Pour l'application Signal, c'est bien le dépôt conseillé depuis site signal.org lui-même pour toute la famille Debian/Ubuntu/Mint, simplylinux.ch ne fait que reprendre les instructions.
Est-ce une bonne idée de l'installer sur une Debian... c'est la question smile

Hors ligne

Pied de page des forums